Contributing
============

The very fact that you're considering helping us, let along that you've taken
the time to read this is absolutely brilliant, thank-you.

We've provided these guidelines to help our contributors and supporters work
with us, and each other, to produce and awesome project as quickly and easily
as possible.

Please keep in mind that we enforce a [Code of Conduct](CODE_OF_CONDUCT.md) to
help keep everyone in our community safe, including you.

Types of Contribution
---------------------

**Something doesn't work but you can't fix it:** You spotted a bug, that's
awesome (well, not that it's there but it's awesome that you found it). 
[Open an Issue][issue] and add the **bug** label;. If you can, provide some 
steps we can follow to reproduce it. Maybe you've even found the bit of code 
that's wrong, but don't have time to fix it, that's absolutely fine, just let
us know where to look.

**Something doesn't work and you can fix it:** You're officially a legend. If
you haven't already, you can fork our repository and send us a
[Pull Request][pull-request]. If you've never done that before, there's a
[cool guide here][pr-guide]. We like code changes to have tests and we use
Circle CI to run tests automatically. Assuming everything passes then one of
our team will review the change. We might make suggestions so keep an eye out.
If we feel we aren't able to merge the request, and it hasn't been active for
two weeks we'll have to close it off. Don't worry though, closed requests can
be reopened by making changes.

**Something is missing:** The project feels like it should do something, but
doesn't. [Open an Issue][issue] and label it with **enhancement**. We can't
promise we'll add it, but any and all ideas are welcome.

**You need some help:** We'd prefer to keep support requests out of our Issue
tracker, however we still want to help. The best thing to do is ask a question
on StackOverflow and then email us <engineering@apolitical.co> to let us know
about it. We can't guarantee we'll be able to answer personally, but
StackOverflow is an amazing community with full of really smart people.


[pr-guide]: http://makeapullrequest.com/
[issue]: https://github.com/apolitical/apolitical-js-jwt-wrapper/issues/new
[pull-request]: https://github.com/apolitical/apolitical-js-jwt-wrapper/compare
